View Issue Details

IDProjectCategoryView StatusLast Update
0005401SUMoBugpublic2019-04-22 20:46
ReporterjohnldoveAssigned ToKyle_Katarn 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformIntel Core i7OSWin XPOS VersionLatest
Product Version5.9 
Target Version5.9Fixed in Version5.9 
Summary0005401: Win XP app fails to start -- missing bcrypt.dll
DescriptionIntalled on Win XP, Failed to close the running version (on purpose).
It failed saying it couldn't close the old program.
Used TaskMan to close Sumo Tree.
Finished the install.
When it runs, a dialog box pop up with every file it scans and says App failed to start because bcrypt.dll wa not found.
Re-installed -- same problem
Steps To ReproduceSee previous box
Additional InformationIt seems to work find on other OS's. Would not have know this if I had not had Win xp machines.
TagsNo tags attached.

Relationships

related to 0005408 resolvedKyle_Katarn SUMo Win XP Beta 418 missing dcrypt.dll 
related to 0005417 resolvedKyle_Katarn DUMo bcrypt.dll is missing error on Windows XP 
related to 0005418 resolvedKyle_Katarn ApHeMo bcrypt.dll is missing error on Windows XP 
related to 0005419 resolvedKyle_Katarn AudioGrail bcrypt.dll is missing error on Windows XP 
related to 0005420 assignedKyle_Katarn AVIToolbox bcrypt.dll is missing error on Windows XP 
related to 0005421 resolvedKyle_Katarn BATExpert bcrypt.dll is missing error on Windows XP 
related to 0005422 assignedKyle_Katarn dot11Expert bcrypt.dll is missing error on Windows XP 
related to 0005423 resolvedKyle_Katarn HDDExpert bcrypt.dll is missing error on Windows XP 
related to 0005424 resolvedKyle_Katarn IDPhotoStudio bcrypt.dll is missing error on Windows XP 
related to 0005425 resolvedKyle_Katarn Ignition bcrypt.dll is missing error on Windows XP 
related to 0005426 resolvedKyle_Katarn KCleaner bcrypt.dll is missing error on Windows XP 
related to 0005427 resolvedKyle_Katarn KFK bcrypt.dll is missing error on Windows XP 
related to 0005428 resolvedKyle_Katarn MassCert bcrypt.dll is missing error on Windows XP 
related to 0005429 assignedKyle_Katarn PhotoToFilm bcrypt.dll is missing error on Windows XP 
related to 0005430 resolvedKyle_Katarn PortExpert bcrypt.dll is missing error on Windows XP 
related to 0005431 resolvedKyle_Katarn RAMExpert bcrypt.dll is missing error on Windows XP 
related to 0005432 resolvedKyle_Katarn Startup Sentinel bcrypt.dll is missing error on Windows XP 
related to 0005433 resolvedKyle_Katarn Vampix bcrypt.dll is missing error on Windows XP 
related to 0005434 resolvedKyle_Katarn VideoInspector bcrypt.dll is missing error on Windows XP 
related to 0005435 resolvedKyle_Katarn Zer0 bcrypt.dll is missing error on Windows XP 

Activities

johnldove

2019-04-03 21:03

reporter   ~0003203

May be relevant:
Go an message from Avast! A/V protection. It said "Wait a sec -- this may have bad stuff in it." After a short delay it said, "sorry about the wait, everything is fine" and Sumo started.
It did NOT say it blocked anything, so I'm not sure why the dcrpyt dll was not loaded.

Kyle_Katarn

2019-04-03 21:05

administrator   ~0003204

Does the problem still occurs if you delete both .dll from SUMo folder ?

johnldove

2019-04-14 23:15

reporter   ~0003214

Completely uninstalled SUMo and then re-booted.
Installed the 418 beta. It installed completely, no error messages.
When it ran, it gave the Missing bcript.dll message on every file.
Deleted both DLL's (in another XP installation, there were 4 DLL's) and the bcrypt error message has never returned.
Are the DLL's not needed to run?

Kyle_Katarn

2019-04-14 23:20

administrator   ~0003215

They are needed to do HTTPS (SSL). Without them, SSL is not used, and the bcrypt.dll not needed anymore.
I'll see if I can find a workaround.

Kyle_Katarn

2019-04-17 21:51

administrator   ~0003228

Waiting for feedback : https://en.delphipraxis.net/topic/986-win-xp-app-fails-to-start-missing-bcryptdll/

Issue History

Date Modified Username Field Change
2019-04-03 19:46 johnldove New Issue
2019-04-03 21:03 johnldove Note Added: 0003203
2019-04-03 21:05 Kyle_Katarn Assigned To => Kyle_Katarn
2019-04-03 21:05 Kyle_Katarn Status new => acknowledged
2019-04-03 21:05 Kyle_Katarn Status acknowledged => feedback
2019-04-03 21:05 Kyle_Katarn Note Added: 0003204
2019-04-03 21:18 Kyle_Katarn Project SUMo Online => SUMo
2019-04-03 21:19 Kyle_Katarn Product Version => 5.8.12
2019-04-03 21:19 Kyle_Katarn Target Version => 5.9
2019-04-09 22:33 Kyle_Katarn Relationship added related to 0005408
2019-04-14 16:27 Kyle_Katarn Summary Ver 418-on Win XP app fails to start -- missing bcrypt.dll => Win XP app fails to start -- missing bcrypt.dll
2019-04-14 23:15 johnldove Note Added: 0003214
2019-04-14 23:20 Kyle_Katarn Note Added: 0003215
2019-04-14 23:20 Kyle_Katarn Status feedback => acknowledged
2019-04-14 23:51 johnldove File Added: EDMELLOT() deleted but still there.png
2019-04-15 20:49 johnldove File Added: EDMELLOT offline altho it's online.png
2019-04-17 21:44 Kyle_Katarn File Deleted: EDMELLOT() deleted but still there.png
2019-04-17 21:44 Kyle_Katarn File Deleted: EDMELLOT offline altho it's online.png
2019-04-17 21:51 Kyle_Katarn Note Added: 0003228
2019-04-17 21:52 Kyle_Katarn Product Version 5.8.12 => 5.9
2019-04-17 21:52 Kyle_Katarn Target Version 5.9 => 5.9.x
2019-04-21 21:45 Kyle_Katarn Relationship added related to 0005417
2019-04-21 21:46 Kyle_Katarn Relationship added related to 0005418
2019-04-21 21:46 Kyle_Katarn Relationship added related to 0005419
2019-04-21 21:46 Kyle_Katarn Relationship added related to 0005420
2019-04-21 21:47 Kyle_Katarn Relationship added related to 0005421
2019-04-21 21:47 Kyle_Katarn Relationship added related to 0005422
2019-04-21 21:47 Kyle_Katarn Relationship added related to 0005423
2019-04-21 21:47 Kyle_Katarn Relationship added related to 0005424
2019-04-21 21:48 Kyle_Katarn Relationship added related to 0005425
2019-04-21 21:48 Kyle_Katarn Relationship added related to 0005426
2019-04-21 21:48 Kyle_Katarn Relationship added related to 0005427
2019-04-21 21:48 Kyle_Katarn Relationship added related to 0005428
2019-04-21 21:48 Kyle_Katarn Relationship added related to 0005429
2019-04-21 21:49 Kyle_Katarn Relationship added related to 0005430
2019-04-21 21:49 Kyle_Katarn Relationship added related to 0005431
2019-04-21 21:49 Kyle_Katarn Relationship added related to 0005432
2019-04-21 21:50 Kyle_Katarn Relationship added related to 0005433
2019-04-21 21:50 Kyle_Katarn Relationship added related to 0005434
2019-04-21 21:50 Kyle_Katarn Relationship added related to 0005435
2019-04-21 21:51 Kyle_Katarn Status acknowledged => resolved
2019-04-21 21:51 Kyle_Katarn Resolution open => fixed
2019-04-21 21:51 Kyle_Katarn Fixed in Version => 5.9
2019-04-22 20:46 Kyle_Katarn Target Version 5.9.x => 5.9